﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;

namespace UltraTextEditorRightPadding
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraTextEditor1.CreationFilter = new CreatingTextUIElement(2);
        }
    }

    public class CreatingTextUIElement : IUIElementCreationFilter
    {
        private int padding;
        public CreatingTextUIElement(int Padding)
        {
            this.padding = Padding;
        }

        public void AfterCreateChildElements(UIElement parent)
        {
            EditorWithTextUIElement El = parent as EditorWithTextUIElement;
            if (El != null && El.Rect.Left > -10)
            {
                 El.Offset(-1, 0, false);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
